bushMowing = {};

addModEventListener(bushMowing);

function bushMowing:loadMap(name)
	self.initialised = false
end

function bushMowing:deleteMap()
end

function bushMowing:mouseEvent(posX, posY, isDown, isUp, button)
end

function bushMowing:keyEvent(unicode, sym, modifier, isDown)
end

function bushMowing:draw()
end

function bushMowing:update(dt)
	if not self.initialised then
		if g_currentMission.foliageSystem ~= nil then
			local decoFoliages = g_currentMission.foliageSystem:getDecoFoliages()

			for _, decoFoliage in pairs(decoFoliages) do
				if decoFoliage.layerName=="decoFoliage" or decoFoliage.layerName=="decoBush" then
					decoFoliage.mowable = true
					print("MOWABLE: " .. decoFoliage.layerName )
				end
			end
		end
		
		self.initialised = true
	end
end
